## cryptcat 20031202

=== Makefile ===
# makefile for netcat, based off same ol' "generic makefile".
# Usually do "make systype" -- if your systype isn't defined, try "generic"
# or something else that most closely matches, see where it goes wrong, fix
# it, and MAIL THE DIFFS back to Hobbit.

### PREDEFINES

# DEFAULTS, possibly overridden by <systype> recursive call:
# pick gcc if you'd rather , and/or do -g instead of -O if debugging
# debugging
# DFLAGS = -DTEST -DDEBUG
DFLAGS = -DGAPING_SECURITY_HOLE
CFLAGS = -O
XFLAGS = 	# xtra cflags, set by systype targets
XLIBS =		# xtra libs if necessary?
# -Bstatic for sunos,  -static for gcc, etc.  You want this, trust me.
STATIC =
CC = cc $(CFLAGS)
LD = $(CC) -s	# linker; defaults to stripped executables
o = o		# object extension

ALL = cryptcat

### BOGON-CATCHERS

bogus:
	@echo "Usage:  make  <systype>  [options]"

### HARD TARGETS

cryptcat:	netcat.c farm9crypt.o twofish2.o
	$(LD) $(DFLAGS) $(XFLAGS) $(STATIC) -o cryptcat netcat.c farm9crypt.o twofish2.o $(XLIBS)

nc-dos:
	@echo "DOS?!  Maybe someday, but not now"

### SYSTYPES -- in the same order as in generic.h, please

# designed for msc and nmake, but easy to change for your compiler.
# Recursive make may fail if you're short on memory -- u-fix!
# Note special hard-target and "quotes" instead of 'quotes' ...
dos:
	$(MAKE) -e $(ALL)-dos $(MFLAGS) CC="cl /nologo" XLIBS= \
	XFLAGS="/AS -D__MSDOS__ -DMSDOS"  o=obj

ultrix:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DULTRIX'

# you may need XLIBS='-lresolv -l44bsd' if you have BIND 4.9.x
sunos:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DSUNOS' STATIC=-Bstatic \
	XLIBS='-lresolv'

# Pick this one ahead of "solaris" if you actually have the nonshared
# libraries [lib*.a] on your machine.  By default, the Sun twits don't ship
# or install them, forcing you to use shared libs for any network apps.
# Kludged for gcc, which many regard as the only thing available.
solaris-static:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DSYSV=4 -D__svr4__ -DSOLARIS' \
	CC=gcc STATIC=-static XLIBS='-lnsl -lsocket -lresolv'

# the more usual shared-lib version...
solaris:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DSYSV=4 -D__svr4__ -DSOLARIS' \
	CC=gcc STATIC= XLIBS='-lnsl -lsocket -lresolv'

aix:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DAIX'

linux:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DLINUX' STATIC=-static

# irix 5.2, dunno 'bout earlier versions.  If STATIC='-non_shared' doesn't
# work for you, null it out and yell at SGI for their STUPID default
# of apparently not installing /usr/lib/nonshared/*.  Sheesh.
irix:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DIRIX -DSYSV=4 -D__svr4__' \
	STATIC=-non_shared

osf:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DOSF' STATIC=-non_shared

# virtually the same as netbsd/bsd44lite/whatever
freebsd:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DFREEBSD' STATIC=-static

bsdi:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DBSDI' STATIC=-Bstatic

netbsd:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DNETBSD' STATIC=-static

openbsd:
	@echo "use: make netbsd"
# finally got to an hpux box, which turns out to be *really* warped. 
# STATIC here means "linker subprocess gets args '-a archive'" which causes
# /lib/libc.a to be searched ahead of '-a shared', or /lib/libc.sl.
hpux:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DHPUX' STATIC="-Wl,-a,archive"

# unixware from bmc@telebase.com; apparently no static because of the
# same idiotic lack of link libraries
unixware:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DUNIXWARE -DSYSV=4 -D__svr4__' \
	STATIC= XLIBS='-L/usr/lib -lnsl -lsocket -lresolv'

# from Declan Rieb at sandia, for a/ux 3.1.1 [also suggests using gcc]:
aux:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DAUX' STATIC=-static CC=gcc

# Nexstep from mudge: NeXT cc is really old gcc
next:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DNEXT' STATIC=-Bstatic

farm9crypt.o: farm9crypt.cc farm9crypt.h
		${CC} -c farm9crypt.cc

twofish2.o: twofish2.cc twofish2.h
		${CC} -c twofish2.cc

# start with this for a new architecture, and see what breaks.
generic:
	make -e $(ALL) $(MFLAGS) XFLAGS='-DGENERIC' STATIC=

# Still at large: dgux dynix ???

### RANDOM

clean:
	rm -f $(ALL) *.o *.obj

=== debian/changelog ===
cryptcat (20031202-5kali8) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Add build flags so that modern GCC can build the package

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 25 Aug 2025 22:47:00 +0700

cryptcat (20031202-5kali7) kali-dev; urgency=medium

  * d/watch: Update to use sourceforge not debian redirector.

 -- Steev Klimaszewski <steev@kali.org>  Sat, 08 Apr 2023 19:07:39 -0500

cryptcat (20031202-5kali6) kali-dev; urgency=medium

  * Add d/watch pointing to sourceforge page.
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 24 Jan 2023 16:26:25 -0600

cryptcat (20031202-5kali5) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Arnaud Rebillout ]
  * Configure gbp import-dsc for a Debian-derived package
  * Add XS-Debian-Vcs-* fields
  * Fix flaky test

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Joseph O'Gorman ]
  * Add autopkgtest
  * Update autopkgtest

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 12 Dec 2022 15:25:51 +0700

cryptcat (20031202-5kali4) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 29 Sep 2020 14:18:00 +0200

cryptcat (20031202-5kali3) kali; urgency=low

  * Removed desktop entry from rules file

 -- Mati Aharoni <muts@kali.org>  Tue, 15 Jan 2013 20:13:50 -0500

cryptcat (20031202-5kali2) kali; urgency=low

  * Remoevd deskto files

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 06:44:03 -0500

cryptcat (20031202-5kali1) kali; urgency=low

  * Kali Version

 -- Devon Kearns <dookie@kali.org>  Sun, 21 Oct 2012 15:12:33 -0600

cryptcat (20031202-5) kali; urgency=low

  * Added desktop file for Kali

 -- Devon Kearns <dookie@kali.org>  Sun, 21 Oct 2012 15:08:26 -0600

cryptcat (20031202-4) unstable; urgency=low

  * Removed "-s" in original Makefile to accomodate
    DEB_BUILD_OPTIONS=nostrip (closes: #436674)
  * Corrected typo in standards definition.
  * Corrected clean-target in debian/rules
  * Explained why I won't upgrade to newer upstream version in
    README.Debian (closes: #390033)

 -- Lars Bahner <bahner@debian.org>  Sat, 23 Aug 2008 19:28:22 +0000

cryptcat (20031202-3) unstable; urgency=low

  * Acknowledge NMU-patch (closes: #452795)
  * Changed description (closes: #366383)
  * Bumped standards version and DH_COMPAT

 -- Lars Bahner <bahner@debian.org>  Thu, 21 Aug 2008 20:24:22 +0000

cryptcat (20031202-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix segfault in listen mode (Closes: #431010)

 -- Paul Wise <pabs@debian.org>  Sun, 25 Nov 2007 18:56:00 +0930

cryptcat (20031202-2) unstable; urgency=low

  * Rebuilt source dir to provide diff
  * Missing build dependency on dpatch
  * missing dependency on patch target in debian/rules

 -- Lars Bahner <bahner@debian.org>  Thu, 11 Dec 2003 18:15:35 +0100

cryptcat (20031202-1) unstable; urgency=low

  * New explicitly free version of cryptcat!
  * Cleaner build

 -- Lars Bahner <bahner@debian.org>  Wed,  3 Dec 2003 12:16:57 +0100

cryptcat (0.0.950915-7) unstable; urgency=low

  * Moving to non-free since the licensing hasn't changed.
  * Corrected warning in farm9crypt.h.
  * Wrote reference to CERT-advisory in README.Debian.
  * Removed "Enhances:" field in debian/control.

 -- Lars Bahner <bahner@debian.org>  Sat,  1 Nov 2003 13:15:58 +0100

cryptcat (0.0.950915-6) unstable; urgency=low

  * New standards version
  * No setting of /usr/doc links

 -- Lars Bahner <bahner@debian.org>  Fri, 28 Mar 2003 12:47:39 +0100

cryptcat (0.0.950915-5) unstable; urgency=low

  * Rebuilt package to fix tar-archive issue. (closes: #152822)

 -- Lars Bahner <bahner@debian.org>  Fri, 19 Jul 2002 16:06:25 +0200

cryptcat (0.0.950915-4) unstable; urgency=low

  * Changed dependency
  * Moved to new category

 -- Lars Bahner <bahner@debian.org>  Sun, 10 Feb 2002 23:27:23 +0100

cryptcat (0.0.950915-3) unstable; urgency=low

  * Added authors proper to manpage
  * Cleaned up package
  * Changed maintainer email address

 -- Lars Bahner <bahner@debian.org>  Thu,  3 Jan 2002 21:32:46 +0100

cryptcat (0.0.950915-2) unstable; urgency=low

  * Added XLIBS="-lstdc++" (Thanks to James Troup.) (closes: #120135)
  * Package seems installed. Closing ITP. (closes: #104328)

 -- Lars Bahner <lars@bahner.com>  Mon, 19 Nov 2001 01:21:10 +0100

cryptcat (0.0.950915-1) unstable; urgency=low

  * Initial Release.
  * Changed Makefile to link dynamically for Linux
  * Wrote a manpage
  * Sent manpage upstream

 -- Lars Bahner <lars@bahner.com>  Wed, 11 Jul 2001 15:58:38 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: cryptcat
Section: net
Priority: optional
XSBC-Original-Maintainer: Lars Bahner <bahner@debian.org>
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Mati Aharoni <muts@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.6.2
Homepage: http://farm9.com/content/Free_Tools/cryptcat_linux2.tar
XS-Debian-Vcs-Git: n/a
XS-Debian-Vcs-Browser: n/a
Vcs-Git: https://gitlab.com/kalilinux/packages/cryptcat.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/cryptcat

Package: cryptcat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight version netcat extended with twofish encryption
 Cryptcat is a simple Unix utility which reads and writes data across
 network connections, using TCP or UDP protocol while encrypting the
 data being transmitted.
 It is designed to be a reliable "back-end" tool that can be used directly
 or easily driven by other programs and scripts.  At the same time, it is a
 feature-rich network debugging and exploration tool, since it can create
 almost any kind of connection you would need and has several interesting
 built-in capabilities.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) linux

=== debian/tests/control ===
Tests: runtests.sh
Depends: @, iproute2
Restrictions: allow-stderr

=== debian/watch ===
version=4
# The debian mirror gives us a really weird output for the version number so
# lets mangle it to only give us 1.2.1 - there hasn't been an update to this
# package in ages, and it's unlikely to happen any time soon.
opts=uversionmangle=s/.*/1.2.1/,searchmode=plain \
http://sourceforge.net/projects/cryptcat/rss?limit=10000000000000000000 \
https?://.*/cryptcat-unix-@ANY_VERSION@\.tar debian uupdate
#https://sf.net/cryptcat/ cryptcat-unix-(.+)\.tar debian uupdate
